/*
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.parser.antlr;

import br.ufes.nemo.seon.ontoloyasservice.parser.antlr.internal.InternalOaasParser;
import br.ufes.nemo.seon.ontoloyasservice.services.OaasGrammarAccess;
import com.google.inject.Inject;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class OaasParser extends AbstractAntlrParser {

	@Inject
	private OaasGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalOaasParser createParser(XtextTokenStream stream) {
		return new InternalOaasParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Application";
	}

	public OaasGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(OaasGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
